#ifndef AKTIONCONF
#define AKTIONCONF

#include <qslider.h>
#include <qchkbox.h>
#include <qradiobt.h>
#include <qlined.h>
#include <qlabel.h>
#include <qpushbt.h>
#include <qtabdialog.h>
#include <qtooltip.h>
#include <qgrpbox.h>
#include <qbttngrp.h>
#include <qcombo.h>
#include <qlistbox.h>
#include <qlayout.h>
#include <kspinbox.h>
#include <kfiledialog.h>
#include <kapp.h>

class Setup : public QTabDialog
{
    Q_OBJECT
public:
    Setup( QWidget *parent=0, const char *name=0 );
    ~Setup();
private:
    QLineEdit *lined[4];
    QCheckBox *checkBox[9];
    QRadioButton *botonRadio[7];
    KConfig *config;
    /* the tabs' constructors */
    QWidget *audio();
    QWidget *color();
    QWidget *scaling();
    QWidget *others();

    QLabel *label[6];
    QGroupBox *grupo[1];
    QButtonGroup *botones[2];
    QComboBox *combo[1];
    QListBox *lista[1];
    QPushButton *dirButton;
    KNumericSpinBox *spin[1];
private slots:
    void quit();
    void save();
    void getDir();
    void actualizeDialog(int);
    void actualizeDialog1(int);
};
#endif
